Subject: Re: bug#29499: 25.3; bounds-of-thing-at-point for nested s-expressions?

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 26 Jul 2019 08:00:14 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> The problem is that thingatpt wants to go to the end of the current
> sexp, and uses forward-sexp for that.  The amusing thing about
> forward-sexp is that it won't error if there's nothing to advance to
> (like at the end of a buffer), but if it hits a ")" immediately, it
> signals an error, making bounds-of-thing-at-point return nil.
>
> The patch below fixes the problem, but I'm not very familiar with the
> thingatpt code.  Does anybody think this makes sense?

There weren't any comments, but it does seem to fix the reported issue,
so I've applied the patch.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no